//
//  ChangeLanguageViewController.swift
//  FinApp
//
//  Created by Александр on 13/03/2019.
//  Copyright © 2019 Alex. All rights reserved.
//

import UIKit

class ChangeLanguageViewController: UIViewController {

    @IBOutlet weak var EngButton: UIButton!
    @IBOutlet weak var CzButton: UIButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()
   
    }
    
    @IBAction func EnClick(_ sender: Any) {
       self.changeToLang("en")
        }

    @IBAction func CzClick(_ sender: Any) {
        self.changeToLang("cs")
    }
    

 private func changeToLang(_ langCode: String){
    if Bundle.main.preferredLocalizations.first != langCode{
//    if NSLocale.preferredLanguages.first != langCode{
        let confirmAlertCtrl = UIAlertController(title: NSLocalizedString("restartTitle", comment: ""), message: NSLocalizedString("restart", comment: ""), preferredStyle: UIAlertController.Style.alert)
        
        let confirmAction = UIAlertAction(title: NSLocalizedString("close", comment: ""), style: .destructive){ _ in
            UserDefaults.standard.set([langCode], forKey: "AppleLanguages")
            UserDefaults.standard.synchronize()
            exit(EXIT_SUCCESS)
            }
        confirmAlertCtrl.addAction(confirmAction)
        
        let cancelAction = UIAlertAction(title: NSLocalizedString("cancel", comment: " "), style: .cancel, handler: nil)
        confirmAlertCtrl.addAction(cancelAction)
        
       present(confirmAlertCtrl, animated: true, completion: nil)
        
    }
  }
}
