//
//  SecondViewController.swift
//  FinApp
//
//  Created by Александр on 24/02/2019.
//  Copyright © 2019 Alex. All rights reserved.
//

import UIKit
import CoreData


class SecondViewController: UIViewController {
    
    
    
    
    @IBOutlet weak var displayOne: UILabel!
    
    @IBOutlet weak var displayTwo: UILabel!
    
    @IBOutlet weak var displayThree: UILabel!
    
    @IBOutlet weak var LbOne: UILabel!
    
    @IBOutlet weak var LbTwo: UILabel!
    
    @IBOutlet weak var LbThree: UILabel!
    
    
    
    override func viewDidLoad() {
       super.viewDidLoad()
    // zaznamenávám třídu, kterou jsem již vytvořil
    let manager = NumManager.default
    displayOne.text = manager.one.description
    displayTwo.text = manager.two.description
    
        guard let num1 = Int(displayOne.text!), let num2 = Int(displayTwo.text!) else {
            return
        }
       let sum = num2 - num1
       displayThree.text = sum.description
    }
    override func viewDidAppear(_ animated: Bool) {
        super.viewDidAppear(animated)
        
        // nastavení pomocí navigační lišty pro název
        let titleLabel = UILabel()
        titleLabel.text = "Moje finance"
        titleLabel.textColor = UIColor.black
        titleLabel.font = UIFont.systemFont(ofSize: 25)
        titleLabel.font = UIFont.boldSystemFont(ofSize: 25)
        navigationItem.titleView = titleLabel
    
      //nastavení pomocí navigační lišty pro tlačítko
        navigationItem.setHidesBackButton(true, animated: false)
        let button  = UIButton(type: .system)
        button.setImage(#imageLiteral(resourceName: "title_icon.png"), for: .normal)
        navigationItem.rightBarButtonItem = UIBarButtonItem(customView: button)
        button.tintColor = UIColor.black
        button.addTarget(self, action: #selector(goToNewViewController), for: .touchUpInside)
}
    
    
    // umožňuje zobrazit na jiné obrazovce částku, kterou jsme zadali pomocí ID
    @IBAction func pushButton(_ sender: Any) {
       
        guard Int(displayOne.text!) != nil else {
            return
        }
        performSegue(withIdentifier: "displayLabel", sender: nil)
    }
    
    //přechod na jinou obrazovku pomocí ID
    @objc func goToNewViewController() {
        performSegue(withIdentifier: "goToNewViewController", sender: self)
    }
}

