//
//  displayViewController.swift
//  FinApp
//
//  Created by Александр on 03/03/2019.
//  Copyright © 2019 Alex. All rights reserved.
//

import UIKit

var array = [String]()

class displayViewController: UIViewController, UITableViewDelegate,UITableViewDataSource {
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return array.count
    }
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell: UITableViewCell = tableView.dequeueReusableCell(withIdentifier: "cell")! as UITableViewCell
        
        cell.textLabel?.text = array[indexPath.row]
        
        return cell
    }
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    func tableView(_ tableView: UITableView, commit editingStyle: UITableViewCell.EditingStyle, forRowAt indexPath: IndexPath) {
        guard editingStyle == .delete else {return}
        array.remove(at: indexPath.row)
        tableView.deleteRows(at: [indexPath], with: .automatic)
    }
    override func viewDidAppear(_ animated: Bool) {
        super.viewDidAppear(animated)
        
        let button  = UIButton(type: .system)
        navigationItem.rightBarButtonItem = UIBarButtonItem(customView: button)
        button.tintColor = UIColor.black
        button.setImage(#imageLiteral(resourceName: "add (2).png"), for: .normal)
        button.addTarget(self, action: #selector(selectOne), for: .touchUpInside)
        }

    override func viewWillAppear(_ animated: Bool) {

        myTableView.register(UITableViewCell.self, forCellReuseIdentifier: "cell")
        myTableView.reloadData()
    }
    @objc func selectOne() {
        performSegue(withIdentifier: "selectOne", sender: self)
    }
    
    @IBOutlet var myTableView: UITableView!
    
}

