//
//  displayViewControllerTwo.swift
//  FinApp
//
//  Created by Александр on 12/03/2019.
//  Copyright © 2019 Alex. All rights reserved.
//

import UIKit

var pass = [String]()

class displayViewControllerTwo: UIViewController, UITableViewDelegate,UITableViewDataSource {
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return pass.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell: UITableViewCell = tableView.dequeueReusableCell(withIdentifier: "cell")! as UITableViewCell
        
        cell.textLabel?.text = pass[indexPath.row]
        
       return cell
    }
    
    
    
    func tableView(_ tableView: UITableView, commit editingStyle: UITableViewCell.EditingStyle, forRowAt indexPath: IndexPath) {
        guard editingStyle == .delete else {return}
        pass.remove(at: indexPath.row)
        tableView.deleteRows(at: [indexPath], with: .automatic)
    }
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
    }
    
    override func viewDidAppear(_ animated: Bool) {
        super.viewDidAppear(animated)
        
        let button  = UIButton(type: .system)
        navigationItem.rightBarButtonItem = UIBarButtonItem(customView: button)
        button.tintColor = UIColor.black
        button.setImage(#imageLiteral(resourceName: "add (2).png"), for: .normal)
        button.addTarget(self, action: #selector(selectTwo), for: .touchUpInside)
    }
    
    
    override func viewWillAppear(_ animated: Bool) {
        
        newTableView.register(UITableViewCell.self, forCellReuseIdentifier: "cell")
        newTableView.reloadData()
    }
    
    
    
    @objc func selectTwo() {
        performSegue(withIdentifier: "selectTwo", sender: self)
        
    }
    
    @IBOutlet weak var newTableView: UITableView!
    
    
    
    
    
    
}
